## dcmtk 3.6.1~20131114

=== debian/changelog ===
dcmtk (3.6.1~20131114-1) experimental; urgency=low

  * New snapshot. Closes: #723091, #715039
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Fri, 22 Nov 2013 19:55:25 +0100

dcmtk (3.6.1~20121102-5) experimental; urgency=low

  * Fix jquery.js removal when executing build-indep

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Sep 2013 09:08:29 +0200

dcmtk (3.6.1~20121102-4) experimental; urgency=low

  * Fix buffer overflow in StudyInstanceUID. Closes: #715011
  * Fix apache 2.4 transition. Closes: #669740
  * Fix -doc installation. Closes: #717968

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Sep 2013 11:13:46 +0200

dcmtk (3.6.1~20121102-3) experimental; urgency=low

  * fix lintian warning about jquery.js (doxygen generated)
  * remove internal tests suite from dcmtk package
  * cope with cmake and #701231
  * Update patch d/p/bug706062.patch. Closes: #706062
  * Upgrade for apache 2.4. Closes: #669740

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Jun 2013 13:51:22 +0200

dcmtk (3.6.1~20121102-2) experimental; urgency=low

  * Install *.dic to versioned dir (See #709123)
  * Add preliminary work to get iconv support

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 May 2013 17:39:30 +0200

dcmtk (3.6.1~20121102-1) experimental; urgency=low

  * Use new dh syntax
  * Run w-a-s. Use B-D-I for doxygen
  * Switch to cmake build system (allows parallel builds). Closes: #701801
  * Use system CharLS. Closes: #705923
  * Use SOP class uid with option. Closes: #706062

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 May 2013 10:34:58 +0200

=== debian/control ===
Source: dcmtk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Juergen Salk <jsa@debian.org>,
           Andreas Tille <tille@debian.org>,
           Mathieu Malaterre <malat@debian.org>
Build-Depends: cmake (>= 2.6.0),
               debhelper (>= 9),
               libcharls-dev,
               libpng-dev,
               libsndfile1-dev,
               libssl-dev,
               libtiff-dev | libtiff5-dev,
               libwrap0-dev,
               libxml2-dev, gettext,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.7.4), graphviz
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtk/branches/experimental
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dcmtk/branches/experimental
Homepage: http://dicom.offis.de/dcmtk

Package: dcmtk
Architecture: any
Depends: adduser (>=3.34), ${misc:Depends}, ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk3-dev
Section: libdevel
Architecture: any
Depends: libdcmtk3 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdcmtk2-dev
Replaces: libdcmtk2-dev
Provides: libdcmtk-dev
Suggests: dcmtk-doc
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-www
Section: web
Architecture: any
Depends: dcmtk,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: apache2 | httpd
Description: OFFIS DICOM toolkit worklist www server application
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DICOM basic worklist management web server
 application. You only need to install this if you want to manage worklist
 entries using a web browser.

Package: dcmtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: dcmtk, libdcmtk3-dev
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

Package: libdcmtk3-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdcmtk3 (= ${binary:Version}), ${misc:Depends}
Description: OFFIS DICOM toolkit library debugging symbols
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the debugging symbols for libdcmtk3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# reduce overlinking:
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --parallel --buildsystem=cmake

# -DDCMTK_INSTALL_DATDIR:STRING=libdcmtk3

# SKIP_RPATH=OFF to run test suite:
# see #701231
CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING="" \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_WITH_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DDCMTK_WITH_ICONV:BOOL=ON \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DDCMTK_INSTALL_DATDIC:STRING=share/libdcmtk3 \
 -DCMAKE_SKIP_RPATH:BOOL=OFF

# -DCMAKE_INSTALL_PREFIX=/usr \

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install-arch:
	dh_auto_install
	# ??
	mv debian/tmp/usr/etc debian/tmp/

override_dh_auto_install-indep:
	#DESTDIR=debian/tmp $(MAKE) -C obj-*/doxygen install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install 
	#rm debian/dcmtk/usr/share/man/man1/_tmp_buildd*
	#rm debian/tmp/usr/share/man/man1/_tmp_buildd*
	rm debian/tmp/usr/share/man/man1/_*.1

#override_dh_installdocs-indep:
#	dh_installdocs -pdcmtk-doc
#	# do the doxygen / jquery fix:
#	dh_clean -pdcmtk-doc debian/dcmtk-doc/usr/share/doc/dcmtk-doc/html/jquery.js
#	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install --list-missing
	chmod +x debian/dcmtk-www/usr/lib/dcmtk/cgi-bin/*
	# wotsit ?
	rm ./debian/dcmtk/usr/bin/*_tests
	rm ./debian/dcmtk/usr/bin/drttest

override_dh_strip:
	dh_strip --dbg-package=libdcmtk3-dbg

get-orig-source:
	uscan --force-download --verbose --rename

.PHONY: get-orig-source

## dcmtk 3.6.1~20150924

=== CMakeLists.txt ===
# Declare project
PROJECT(DCMTK)

# Minimum CMake version required
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

# Check the build system
INCLUDE(CMake/dcmtkPrepare.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# General project settings to configure DCMTK build process
#-----------------------------------------------------------------------------

# Modules to be built

SET(DCMTK_MODULES ofstd oflog dcmdata dcmimgle
  dcmimage dcmjpeg dcmjpls dcmtls dcmnet dcmsr
  dcmsign dcmwlm dcmqrdb dcmpstat dcmrt dcmiod dcmfg dcmseg
  CACHE STRING "List of modules that should be built.")

#-----------------------------------------------------------------------------
# Include directories
#-----------------------------------------------------------------------------

SET(DCMTK_INCLUDE_DIR ${DCMTK_BINARY_DIR}/config/include)
FOREACH(inc ${DCMTK_MODULES})
  LIST(APPEND DCMTK_INCLUDE_DIR ${DCMTK_SOURCE_DIR}/${inc}/include)
ENDFOREACH(inc)

INCLUDE_DIRECTORIES(${DCMTK_INCLUDE_DIR})

#-----------------------------------------------------------------------------
# Prepare osconfig.h
#-----------------------------------------------------------------------------

# add the osconfig.h.in file
CONFIGURE_FILE(${DCMTK_SOURCE_DIR}/CMake/osconfig.h.in
               ${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h)

#-----------------------------------------------------------------------------
# Prepare arith.h
#-----------------------------------------------------------------------------

INSPECT_FUNDAMENTAL_ARITHMETIC_TYPES()

#-----------------------------------------------------------------------------
# Start actual compilation tasks
#-----------------------------------------------------------------------------

# Recurse into subdirectories
FOREACH(module config doxygen ${DCMTK_MODULES})
  ADD_SUBDIRECTORY(${module})
ENDFOREACH(module)
INCLUDE(CMake/dcmtkAfterModules.cmake NO_POLICY_SCOPE)

#-----------------------------------------------------------------------------
# Installation tasks
#-----------------------------------------------------------------------------

# Install global headers
INSTALL(FILES ${DCMTK_BINARY_DIR}/config/include/dcmtk/config/osconfig.h
        DESTINATION ${DCMTK_INSTALL_INCDIR}/dcmtk/config
        COMPONENT include)

# Install DCMTK's general documentation files
INSTALL(FILES ANNOUNCE CHANGES COPYRIGHT CREDITS FAQ HISTORY VERSION
        DESTINATION ${DCMTK_INSTALL_DOCDIR}
        COMPONENT doc)

#-----------------------------------------------------------------------------
# Create an install configuration files for external projects
#-----------------------------------------------------------------------------
#
# DCMTKTargets.cmake will contain list of executables and libraries produced
# DCMTKConfigVersion.cmake will contain DCMTK version information
# DCMTKConfig.cmake will contain options used to build DCMTK
#
# All three files are created within the build tree's main directory (handled in
# CMake/GenerateCMakeExports.cmake, and are installed to locations (OS-specific
# under the main install dir (handled directly below).

# Only create fully-fledged CMake export files if we have the related commands
INCLUDE(CMake/CheckCMakeCommandExists.cmake)
INCLUDE(CMakePackageConfigHelpers OPTIONAL)
CHECK_CMAKE_COMMAND_EXISTS("CONFIGURE_PACKAGE_CONFIG_FILE")
CHECK_CMAKE_COMMAND_EXISTS("WRITE_BASIC_PACKAGE_VERSION_FILE")

IF(HAVE_CONFIGURE_PACKAGE_CONFIG_FILE AND HAVE_WRITE_BASIC_PACKAGE_VERSION_FILE)

  # Create and configure CMake export files
  INCLUDE(CMake/GenerateCMakeExports.cmake)

  # ${dcmtk_install_config} and ${dcmtk_config_version} are
  # defined within CMake/GenerateCMakeExports.cmake.
  # Install DCMTKTargets.cmake to install tree
  INSTALL(EXPORT DCMTKTargets FILE DCMTKTargets.cmake
          DESTINATION ${DCMTK_INSTALL_CMKDIR} COMPONENT cmake)

  # Install DCMTKConfigVersion.cmake
  INSTALL(FILES ${dcmtk_install_config} ${dcmtk_config_version}
          DESTINATION ${DCMTK_INSTALL_CMKDIR} COMPONENT cmake)

ELSE(HAVE_CONFIGURE_PACKAGE_CONFIG_FILE AND HAVE_WRITE_BASIC_PACKAGE_VERSION_FILE)

  # Warning that we use old "configure_file" command
  MESSAGE(STATUS "Warning: Using old CONFIGURE_FILE() mechanism to produce DCMTKConfig.cmake")

  # Actually configure file
  CONFIGURE_FILE(${DCMTK_SOURCE_DIR}/CMake/DCMTKConfig.cmake26.in
                 ${DCMTK_BINARY_DIR}/DCMTKConfig.cmake @ONLY)

  # Install DCMTK's CMake configuration file
  INSTALL(FILES ${DCMTK_BINARY_DIR}/DCMTKConfig.cmake
          DESTINATION ${DCMTK_INSTALL_CMKDIR}
          COMPONENT cmake)

ENDIF(HAVE_CONFIGURE_PACKAGE_CONFIG_FILE AND HAVE_WRITE_BASIC_PACKAGE_VERSION_FILE)

#-----------------------------------------------------------------------------
# Configure files needed for cross compiling (if any)
#-----------------------------------------------------------------------------

IF(CMAKE_CROSSCOMPILING)
  IF(ANDROID)
    # setup the CTestCustom.cmake file as appropriate for android
    FILE(COPY ${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustom.cmake
        DESTINATION ${CMAKE_BINARY_DIR}
    )
    # prepare the configuration for unit testing
    CONFIGURE_FILE(${DCMTK_SOURCE_DIR}/CMake/CTest/dcmtkCTestConfig.cmake.in
        ${CMAKE_BINARY_DIR}/dcmtkCTestConfig.cmake @ONLY
    )
  ENDIF()
ENDIF(CMAKE_CROSSCOMPILING)

=== dcmdata/CMakeLists.txt ===
# declare project
PROJECT(dcmdata)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmdata_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc libi2d apps include docs data tests)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmfg/CMakeLists.txt ===
# declare project
PROJECT(dcmfg)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmfg_SOURCE_DIR}/include  ${dcmiod_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmiod/CMakeLists.txt ===
# declare project
PROJECT(dcmiod)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmiod_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmjpeg/CMakeLists.txt ===
# declare project
PROJECT(dcmjpeg)

# recurse into subdirectories
FOREACH(SUBDIR libsrc libijg8 libijg12 libijg16 apps include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmnet/CMakeLists.txt ===
# declare project
PROJECT(dcmnet)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmnet_SOURCE_DIR}/include ${dcmtls_SOURCE_DIR}/include ${OPENSSL_INCDIR} ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc apps include docs etc tests)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmpstat/CMakeLists.txt ===
# declare project
PROJECT(dcmpstat)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmpstat_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmnet_SOURCE_DIR}/include ${dcmimgle_SOURCE_DIR}/include ${dcmqrdb_SOURCE_DIR}/include ${dcmsr_SOURCE_DIR}/include ${dcmsign_SOURCE_DIR}/include ${dcmtls_SOURCE_DIR}/include ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc apps include data etc)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmqrdb/CMakeLists.txt ===
# declare project
PROJECT(dcmqrdb)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmqrdb_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmnet_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc apps include docs etc)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmrt/CMakeLists.txt ===
# declare project
PROJECT(dcmrt)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmrt_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc apps tests include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmseg/CMakeLists.txt ===
# declare project
PROJECT(dcmseg)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmseg_SOURCE_DIR}/include  ${dcmfg_SOURCE_DIR}/include ${dcmiod_SOURCE_DIR}/include  ${dcmsr_SOURCE_DIR}/include ${dcmimage_SOURCE_DIR}/include ${dcmimgle_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${ZLIB_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmsign/CMakeLists.txt ===
# declare project
PROJECT(dcmsign)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmsign_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${ZLIB_INCDIR} ${OPENSSL_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc apps include)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== dcmsr/CMakeLists.txt ===
# declare project
PROJECT(dcmsr)

# declare include directories which hold for all subdirectories
INCLUDE_DIRECTORIES(${dcmsr_SOURCE_DIR}/include ${ofstd_SOURCE_DIR}/include ${oflog_SOURCE_DIR}/include ${dcmdata_SOURCE_DIR}/include ${dcmimgle_SOURCE_DIR}/include ${dcmimage_SOURCE_DIR}/include ${ZLIB_INCDIR} ${LIBXML_INCDIR})

# recurse into subdirectories
FOREACH(SUBDIR libsrc libcmr apps tests include data)
  ADD_SUBDIRECTORY(${SUBDIR})
ENDFOREACH(SUBDIR)

=== debian/changelog ===
dcmtk (3.6.1~20150924-5) unstable; urgency=medium

  * d/libdcmtk-dev revert last change since ITK-4.9 now supports
    properly the dcmtk*.cmake files.
  * d/control: conflict with older versions of libinsighttoolkit-dev

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 30 Jan 2016 23:11:21 +0100

dcmtk (3.6.1~20150924-4) unstable; urgency=medium

  * Do not install DCMTK*.cmake files, they break things.
    cmake's FindDCMTK handles this case better without these files.

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 05 Jan 2016 21:42:56 +0100

dcmtk (3.6.1~20150924-2) unstable; urgency=medium

  * Update internal use of DCMDICT path Closes: #807691
  * Correct Apache-2.0 copyright 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 11 Dec 2015 17:42:45 +0100

dcmtk (3.6.1~20150924-1) unstable; urgency=medium

  * New upstream version 
  * Move vcs to git
  * Remove dcmtk-www, because it is no longer provided by upstream
  * Because of ABI change rename library package to libdcmtk5 
  * Add libcharls-dev to libdcmtk-dev dependencies (reason: see below)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 01 Dec 2015 02:46:03 +0100

dcmtk (3.6.1~20150629-7) unstable; urgency=medium

  * d/control: Add more dependencies to libdcmtk-dev, because the
    cmake based build system creates a cmake use file that pulls in
    these libraries for linking.

 -- Gert Wollny <gw.fossdev@gmail.com>  Sun, 29 Nov 2015 21:16:37 +0100

dcmtk (3.6.1~20150629-6) unstable; urgency=medium

  * Change Provides:libdcmtk-dev to Provides:libdcmtk2-dev Closes: #805718

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 21 Nov 2015 13:58:54 +0100

dcmtk (3.6.1~20150629-5) unstable; urgency=medium

  * d/control: Add conflict/replace for libdcmtk4-dev 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 12 Nov 2015 13:30:12 +0100

dcmtk (3.6.1~20150629-4) unstable; urgency=medium

  * Add patch soversion_abi.patch to change not only the library file 
    name but also in the cmake related files. 
  * Add patch dont_export.. to not export all executables for cmake 
    Closes: #803304
  * d/rules: remove code to add abi-suffix to libraries on install 
  * Add Gert Wollny to uploaders 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 29 Oct 2015 11:51:54 +0100

dcmtk (3.6.1~20150629-3) unstable; urgency=medium

  * Adapt prerm script for dash
    Closes: #803008
  * small DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 12:11:22 +0100

dcmtk (3.6.1~20150629-2) unstable; urgency=medium

  * debian/copyright: DEP5
  * unversioned -dev package
    Closes: #800481
  * Inform users about non-backward compatible changes in dcmtk database
    when using dcmqrscp
    Closes: #799039
  * suppress lintian warnings no-symbols-control-file
  * create empty dir /var/lib/dcmtk/db in package
    Closes: #801735

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2015 23:29:57 +0200

dcmtk (3.6.1~20150629-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * libdcmtk4-dev conflicts libdcmtk2-dev
    Closes: #769151
  * Do gcc-5 transition on new version
  * Conflicts/Replaces: libdcmtk3
    Closes: #754583
  * Do not hardcode path to invoke-rc.d in maintainer scripts
  * Fix apache configuration (thanks for the patch to HAYASHI Kentaro
    <kenhys@gmail.com>)
    Closes:  #779700
  * Apply patch to fix performance problem (thanks for the patch to
    Sebastien Jodogne <s.jodogne@chu.ulg.ac.be>)
    Closes: #785400)
  * Enable reproducible build (Thanks for the patch to Maria Valentina Marin
    <marivalenm@gmail.com>)
    Closes: #790133

 -- Andreas Tille <tille@debian.org>  Sun, 13 Sep 2015 20:31:57 +0200

dcmtk (3.6.1~20140617-3) experimental; urgency=low

  * Fix building/running on sparc.
  * Really remove md5 files from doxygen HTML output

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Jul 2014 09:09:49 +0200

dcmtk (3.6.1~20140617-2) experimental; urgency=low

  * Fix SIGSEGV on sparc
  * Fix removal of md5 files on buildds

 -- Mathieu Malaterre <malat@debian.org>  Tue, 01 Jul 2014 11:15:54 +0200

dcmtk (3.6.1~20140617-1) experimental; urgency=low

  * New snapshot. Use ABI=4 as per upstream
  * Refreshed patches, removed applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Jun 2014 08:44:51 +0200

dcmtk (3.6.1~20131114-7) experimental; urgency=low

  * Bump Std-Vers to 3.9.5, no changes needed
  * Fix failing SCP test. Closes: #740342

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Feb 2014 13:19:20 +0100

dcmtk (3.6.1~20131114-6) experimental; urgency=low

  * Remove non-ASCII char. Closes: #732673
  * Fix setuid return value. Closes: #731434
  * Update old copyright. Closes: #732672

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Feb 2014 17:33:18 +0100

dcmtk (3.6.1~20131114-5) experimental; urgency=low

  * Increase timeout a little to fix issue on s390x
    + d/p/timeout.patch

 -- Mathieu Malaterre <malat@debian.org>  Fri, 20 Dec 2013 11:02:48 +0100

dcmtk (3.6.1~20131114-4) experimental; urgency=low

  * Import patch from git (upstream)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 19 Dec 2013 17:33:18 +0100

dcmtk (3.6.1~20131114-3) experimental; urgency=low

  * Another round of compilation fixes. Closes: #731434
  * Fix installation. Closes: #731752
  * Another attempt at fixing test. Closes: #730582

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Dec 2013 15:15:52 +0100

dcmtk (3.6.1~20131114-2) experimental; urgency=low

  * Fix failing test (ofstd_markup_6). Closes: #730582
  * Remove some spelling error in man pages. Closes: #730635
  * Remove CMake overriding our compilation flags. Closes: #730636

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Dec 2013 12:50:28 +0100

=== debian/control ===
Source: dcmtk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Juergen Salk <jsa@debian.org>,
           Andreas Tille <tille@debian.org>,
           Mathieu Malaterre <malat@debian.org>,
           Gert Wollny <gw.fossdev@gmail.com> 
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libcharls-dev,
               libpng-dev,
               libsndfile1-dev,
               libssl-dev,
               libtiff-dev,
               libwrap0-dev,
               libxml2-dev,
               gettext,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.7.4),
                     graphviz
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dcmtk.git
Vcs-Git: git://anonscm.debian.org/debian-med/dcmtk.git
Homepage: http://dicom.offis.de/dcmtk

Package: dcmtk
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OFFIS DICOM toolkit command line utilities
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the DCMTK utility applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk5
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libdcmtk4,libdcmtk3
Replaces: libdcmtk4,libdcmtk3
Description: OFFIS DICOM toolkit runtime libraries
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the runtime libraries for the DCMTK utility
 applications.
 .
 Note: This version was compiled with libssl support.

Package: libdcmtk-dev
Architecture: any
Section: libdevel
Depends: libxml2-dev, 
         libssl-dev, 
         libpng-dev, 
         libwrap0-dev, 
         libcharls-dev, 
         libtiff-dev, 
         libdcmtk5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: dcmtk-doc
Conflicts: libdcmtk2-dev, libdcmtk4-dev, libinsighttoolkit4-dev (<< 4.9.0)
Provides: libdcmtk2-dev
Replaces: libdcmtk2-dev, libdcmtk4-dev 
Description: OFFIS DICOM toolkit development libraries and headers
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains development libraries and headers for DCMTK. You
 only need to install this if you are developing programs that use the
 DCMTK libraries.
 .
 Note: This version was compiled with libssl support.

Package: dcmtk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: dcmtk,
          libdcmtk-dev
Description: OFFIS DICOM toolkit documentation
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the on-line documentation for the DCMTK libraries
 and utilities in HTML format.

Package: libdcmtk5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdcmtk5 (= ${binary:Version}),
         ${misc:Depends}
Description: OFFIS DICOM toolkit library debugging symbols
 DCMTK includes a collection of libraries and applications for examining,
 constructing and converting DICOM image files, handling offline media,
 sending and receiving images over a network connection, as well as
 demonstrative image storage and worklist servers.
 .
 This package contains the debugging symbols for libdcmtk5.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# reduce overlinking:
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# needed for the tests 
export DCMDICTPATH=$(CURDIR)/dcmdata/data/dicom.dic

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --parallel --buildsystem=cmake


# SKIP_RPATH=OFF to run test suite:
# see #701231
CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING=None \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_WITH_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DDCMTK_WITH_ICONV:BOOL=ON \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DDCMTK_INSTALL_DATDIC:STRING=share/libdcmtk5 \
 -DCMAKE_SKIP_RPATH:BOOL=OFF


override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

# No tests needed for docs
override_dh_auto_test-indep:


override_dh_auto_install-arch:
	dh_auto_install
	# ??
	mv debian/tmp/usr/etc debian/tmp/

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install 
	rm debian/tmp/usr/share/man/man1/_*.1

override_dh_installdocs:
	dh_installdocs
	# do the doxygen / jquery fix:
	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install # --list-missing
	# wotsit ?
	rm ./debian/dcmtk/usr/bin/*_tests
	rm ./debian/dcmtk/usr/bin/drttest
	rm ./debian/dcmtk/usr/bin/mkreport

override_dh_strip:
	dh_strip --dbg-package=libdcmtk5-dbg

get-orig-source:
	uscan --force-download --verbose --rename

.PHONY: get-orig-source
